org.apache.lucene.analysis.util

## Class CharArrayMap<V>

- java.lang.Object
- - java.util.AbstractMap<Object,V>
  - - org.apache.lucene.analysis.CharArrayMap<V>
    - - org.apache.lucene.analysis.util.CharArrayMap<V>

- All Implemented Interfaces:
    Map<Object,V>

  Deprecated.
  This class moved to Lucene-Core module: `CharArrayMap`

      @Deprecated
      public class CharArrayMap<V>
      extends CharArrayMap<V>

  A simple class that stores key Strings as char[]'s in a hash table. Note that this is not a general purpose class. For example, it cannot remove items from the map, nor does it resize its hash table to be smaller, etc. It is designed to be quick to retrieve items by char[] keys without the necessity of converting to a String first.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.CharArrayMap

      `CharArrayMap.EntryIterator, CharArrayMap.EntrySet`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharArrayMap(int startSize, boolean ignoreCase)` Deprecated. Create map with enough capacity to hold startSize terms
    `CharArrayMap(Map<?,? extends V> c, boolean ignoreCase)` Deprecated. Creates a map from the mappings in another map.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.analysis.CharArrayMap

      `clear, containsKey, containsKey, containsKey, copy, emptyMap, entrySet, get, get, get, keySet, put, put, put, put, remove, size, toString, unmodifiableMap`

    - ### Methods inherited from class java.util.AbstractMap

      `clone, containsValue, equals, hashCode, isEmpty, putAll, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### CharArrayMap

          public CharArrayMap(int startSize,
                              boolean ignoreCase)

      Deprecated.
      Create map with enough capacity to hold startSize terms
      Parameters:
        `startSize` - the initial capacity
        `ignoreCase` - `false` if and only if the set should be case sensitive otherwise `true`.

    - #### CharArrayMap

          public CharArrayMap(Map<?,? extends V> c,
                              boolean ignoreCase)

      Deprecated.
      Creates a map from the mappings in another map.
      Parameters:
        `c` - a map whose mappings to be copied
        `ignoreCase` - `false` if and only if the set should be case sensitive otherwise `true`.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.